MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032162Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-24 19:042021-03-01 13:20
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032162: Visualization - move AIS_DisplayStatus from AIS_GlobalStatus to PrsMgr_PresentableObject
DescriptionIt is proposed moving AIS_DisplayStatus value from AIS_GlobalStatus class field to PrsMgr_PresentableObject.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0032184verifiedbugmaster Open CASCADE Visualization - remove ambiguous AIS_GlobalStatus constructor 
related to 0032167verifiedbugmaster Open CASCADE Visualization, AIS_InteractiveContext - setObjectStatus sets wrong status when AIS_DS_Erased 

-  Notes
(0099114)
git (administrator)
2021-02-24 19:06

Branch CR32162 has been created by kgv.

SHA-1: ef0864df3ed8bdf9fac5b53d513052304b37998c


Detailed log of new commits:

Author: kgv
Date: Wed Feb 24 15:37:57 2021 +0300

    0032162: Visualization - move AIS_DisplayStatus from AIS_GlobalStatus to PrsMgr_PresentableObject
    
    AIS_DisplayStatus has been renamed to PrsMgr_DisplayStatus
    and moved from AIS_GlobalStatus class field to PrsMgr_PresentableObject.
(0099118)
kgv (developer)
2021-02-24 20:19

Patch is ready for review
- OCCT: branch CR32162.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32162-master-KGV/ [^]
(0099122)
git (administrator)
2021-02-24 20:40

Branch CR32162 has been updated forcibly by kgv.

SHA-1: 391a78337f70f8e84cda960869a94a8799689288
(0099131)
osa (developer)
2021-02-25 10:21

The patch was reviewed
(0099143)
git (administrator)
2021-02-25 13:54

Branch CR32162 has been updated forcibly by kgv.

SHA-1: 1a90108e7edd083789f7336b1eae266463c8ef36
(0099146)
kgv (developer)
2021-02-25 14:02

Patch has been amended to include description for 0032167.
(0099202)
bugmaster (administrator)
2021-02-27 11:50

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099212)
git (administrator)
2021-02-27 12:26

Branch CR32162 has been deleted by inv.

SHA-1: 1a90108e7edd083789f7336b1eae266463c8ef36

- Related Changesets
occt: master 39e6123e
Timestamp: 2021-02-24 12:37:57
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032162: Visualization - move AIS_DisplayStatus from AIS_GlobalStatus to PrsMgr_PresentableObject

AIS_DisplayStatus has been renamed to PrsMgr_DisplayStatus
and moved from AIS_GlobalStatus class field to PrsMgr_PresentableObject.

0032167: Visualization, AIS_InteractiveContext - setObjectStatus sets wrong status when AIS_DS_Erased

AIS_InteractiveContext::setObjectStatus() Fixed setting unexpected Displayed status to Erased objects.
mod - src/AIS/AIS_DisplayStatus.hxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.cxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_3.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/PrsMgr/FILES Diff ] File ]
add - src/PrsMgr/PrsMgr_DisplayStatus.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-24 19:04 kgv New Issue
2021-02-24 19:04 kgv Assigned To => kgv
2021-02-24 19:06 git Note Added: 0099114
2021-02-24 20:19 kgv Note Added: 0099118
2021-02-24 20:19 kgv Assigned To kgv => osa
2021-02-24 20:19 kgv Status new => resolved
2021-02-24 20:20 kgv Relationship added related to 0031794
2021-02-24 20:40 git Note Added: 0099122
2021-02-25 10:21 osa Note Added: 0099131
2021-02-25 10:21 osa Assigned To osa => bugmaster
2021-02-25 10:21 osa Status resolved => reviewed
2021-02-25 13:45 kgv Relationship added related to 0032167
2021-02-25 13:54 git Note Added: 0099143
2021-02-25 14:02 kgv Note Added: 0099146
2021-02-27 11:50 bugmaster Note Added: 0099202
2021-02-27 11:50 bugmaster Status reviewed => tested
2021-02-27 11:54 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 39e6123e
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099212
2021-03-01 13:20 kgv Relationship added parent of 0032184


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker